Latest 1.0.0-beta.2
Homepage https://github.com/MessageKit/MessageKit
License MIT
Platforms ios 9.0, requires ARC
Authors

MessageKit

CircleCI
codecov
Carthage compatible

<img src="
https://img.shields.io/badge/Swift-4-orange.svg"
alt="Swift" />


<img src="
https://cocoapod-badges.herokuapp.com/v/MessageKit/badge.png"
alt="CocoaPods">


<img src="
https://img.shields.io/badge/Xcode-9-blue.svg"
alt="Xcode">


<img src="
https://img.shields.io/badge/License-MIT-red.svg"
alt="MIT">


<img src="
https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat"
alt="Contributions Welcome">

Table of Contents

Goals

  • Provide a :rotating_light:safe:rotating_light: environment for others to learn and grow through Open Source.
  • Make adding Chat:speech_balloon: to a project easy.
  • Enable beautiful and customizable Chat UI’s.
  • Provide an awesome Open Source project for the iOS open source community.
  • Help others learn.

Vision

See VISION.md for Goals, Scope, & Technical Considerations.

Installation

CocoaPods Recommended

pod 'MessageKit'

If your project is still using Swift 3, you can add the following code to your Podfile:

target 'TARGET_NAME' do
    pod 'MessageKit'
    ...
    post_install do |installer|
        installer.pods_project.targets.each do |target|
            if target.name == 'MessageKit'
                target.build_configurations.each do |config|
                    config.build_settings['SWIFT_VERSION'] = '4.0'
                end
            end
        end
    end
end

Carthage

To integrate MessageKit using Carthage, add the following to your Cartfile:

github "MessageKit/MessageKit"

Requirements

  • iOS9 or later

Contributing

Great! Look over these things first.

  • Please read our Code of Conduct
  • Check the Contributing Guide Lines.
  • Come join us on Slack and 🗣 don’t be a stranger.
  • Check out the current issues and see if you can tackle any of those.
  • Download the project and check out the current code base. Suggest any improvements by opening a new issue.
  • Check out the What’s Next section :point_down: to see where we are headed.
  • Check StackOverflow
  • Install SwiftLint too keep yourself in :neckbeard: style.
  • Be kind and helpful.

What’s Next?

Check out the Releases to see what we are working on next.

Contact

Have a question or an issue about MessageKit? Create an issue!

Interested in contributing to MessageKit? Click here to join our Slack.

Apps using this library

Add your app to the list of apps using this library and make a pull request.

Please provide attribution, it is greatly appreciated.

Core Team

Thanks

Many thanks to the contributors of this project.

License

MessageKit is released under the MIT License.

Inspiration

Inspired by JSQMessagesViewController :point_left: :100:

Latest podspec

{
    "name": "MessageKit",
    "version": "1.0.0-beta.2",
    "license": {
        "type": "MIT",
        "file": "LICENSE.md"
    },
    "summary": "An elegant messages UI library for iOS.",
    "homepage": "https://github.com/MessageKit/MessageKit",
    "social_media_url": "https://twitter.com/_SD10_",
    "authors": {
        "Steven Deutsch": "[email protected]"
    },
    "source": {
        "git": "https://github.com/MessageKit/MessageKit.git",
        "tag": "1.0.0-beta.2"
    },
    "source_files": "Sources/**/*.swift",
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "4.0"
    },
    "platforms": {
        "ios": "9.0"
    },
    "ios": {
        "resource_bundles": {
            "MessageKitAssets": "Assets/MessageKitAssets.bundle/Images"
        }
    },
    "requires_arc": true
}

Pin It on Pinterest

Share This